<template>
    <!-- Right: Register Form -->
    <div class="lg:p-36 md:p-52 sm:20 p-8 w-full lg:w-1/2">
        <h1 class="text-2xl font-semibold mb-4">Register</h1>
        <form action="#" method="POST">
            <!-- Username Input -->
            <div class="mb-4">
                <label for="email" class="block text-gray-600">Email</label>
                <input type="text" id="email" name="email"
                    class="w-full border border-gray-300 rounded-md py-2 px-3 focus:outline-none focus:border-blue-500"
                    autocomplete="off">
            </div>
            <!-- Password Input -->
            <div class="mb-4">
                <label for="password" class="block text-gray-600">Password</label>
                <input type="password" id="password" name="password"
                    class="w-full border border-gray-300 rounded-md py-2 px-3 focus:outline-none focus:border-blue-500"
                    autocomplete="off">
            </div>
            <!-- Password Confirmation Input -->
            <div class="mb-4">
                <label for="password_confirmation" class="block text-gray-600">Password Confirmation</label>
                <input type="password_confirmation" id="password_confirmation" name="password"
                    class="w-full border border-gray-300 rounded-md py-2 px-3 focus:outline-none focus:border-blue-500"
                    autocomplete="off">
            </div>
            <!-- Terms And Conditions Me Checkbox -->
            <div class="mb-4 flex items-center">
                <input type="checkbox" id="terms_and_conditions" name="terms_and_conditions" class="text-blue-500">
                <label for="terms_and_conditions" class="text-gray-600 ml-2">Terms And Conditions</label>
            </div>
            <!-- Privacy Policy Link -->
            <div class="mb-6 text-blue-500">
                <a href="#" target="_blank" class="hover:underline">Privacy Policy</a>
            </div>
            <!-- Register Button -->
            <button type="submit"
                class="bg-blue-500 hover:bg-blue-600 text-white font-semibold rounded-md py-2 px-4 w-full">Register</button>
        </form>
        <!-- Already Have Account  Link -->
        <div class="mt-6 text-blue-500 text-center">
            <router-link :to="{ name: 'login' }" class="hover:underline">Alredy Have Account?</router-link>
        </div>
    </div>
</template>